# Uses of Interface
org.eclipse.team.core.diff.IDiffChangeListener

Packages that use IDiffChangeListener
Package
Description
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.team.core.diff
Application programming interfaces for working with diffs.
org.eclipse.team.core.diff.provider
Application programming interfaces for working with diffs.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.

## Uses of IDiffChangeListener in org.eclipse.ltk.ui.refactoring.model

Classes in org.eclipse.ltk.ui.refactoring.model that implement IDiffChangeListener
Modifier and Type
Class
Description
`class`
`AbstractSynchronizationContentProvider`
Partial implementation of a refactoring-aware synchronization content provider.

## Uses of IDiffChangeListener in org.eclipse.team.core.diff

Methods in org.eclipse.team.core.diff with parameters of type IDiffChangeListener
Modifier and Type
Method
Description
`void`
IDiffTree.`addDiffChangeListener(IDiffChangeListener listener)`
Add a listener to the tree.
`void`
IDiffTree.`removeDiffChangeListener(IDiffChangeListener listener)`
Remove the listener from the tree.

## Uses of IDiffChangeListener in org.eclipse.team.core.diff.provider

Methods in org.eclipse.team.core.diff.provider with parameters of type IDiffChangeListener
Modifier and Type
Method
Description
`void`
DiffTree.`addDiffChangeListener(IDiffChangeListener listener)`
`void`
DiffTree.`removeDiffChangeListener(IDiffChangeListener listener)`

## Uses of IDiffChangeListener in org.eclipse.team.ui.mapping

Classes in org.eclipse.team.ui.mapping that implement IDiffChangeListener
Modifier and Type
Class
Description
`class`
`SynchronizationContentProvider`
Abstract team aware content provider that delegates to another content provider.